kruszynski

Moderatorzy
  • Content Count

    1212
  • Joined

  • Last visited

  • Days Won

    47

kruszynski last won the day on July 2

kruszynski had the most liked content!

4 Followers

About kruszynski

  • Rank
    Ekspert

Profile Information

  • Gender
    Not Telling

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

  1. Może tak: (defun c:lh (/ p x y ptcoord textloc) (while (setq p (getpoint "\nPick Point: ")) (command "_POINT" p) (setq z (rtos (caddr p))) (setq ptcoord (strcat z)) (setq textloc (getpoint "\nPick Label Location: ")) (command "_TEXT" (list (car textloc) (cadr textloc) (caddr p) ) 0.3 0 ptcoord "" ) ) )
  2. Rozwiązanie zostanie opracowane w którejś z kolejnych wersji. Nie mam deklaracji kiedy. Obecnie najnowsza wersja to 2021 Beta wiec może w wersji 2021 się uda. We wcześniejszych wersjach np 2020 zmiana nie zostanie wprowadzona. Zastanawiam się nad jakimś alternatywnym rozwiązaniem, ale nic nie przychodzi mi do głowy.
  3. Dzień dobry Sprawdziłem, potwierdzam, przekazałem do ZWSOFT. Niestety nie przychodzi mi do głowy żadne rozwiązanie, napiszę jeśli coś wymyślę, albo dowiem się w ZWSOFT. Pozdrawiam.
  4. Ciekawy przypadek. Myślę, że najłatwiejszym sposobem byłoby przygotowanie LISPa który to zrobi. Zastanawia mnie jak powstała taka sytuacja. Czy tak wstawia jakaś nakładka? czy inne microstation? W załączonym przykładzie widać, że tylko jeden atrybut został przesunięty. Dlaczego? Jak taki LISP miałby rozpoznawać które atrybuty przenosimy, a które zostają?
  5. W zasadzie tak, kierując wiadomości na adres pomoc@zwcad.pl Choć wolałbym tutaj, bo przez przypadek może się to przydać też innym użytkownikom forum.
  6. Atrybuty z bloku można odczytać tak: (setq Ref (vlax-ename->vla-object (car(entsel )))) (vlax-invoke-method Ref 'Getattributes ) Nie wiem 😉 tak. tak.
  7. Żeby ruszyć proponuję zapoznanie się z naszym kursem: https://www.zwcad.pl/1-narzedzia-do-lisp.html Jest tam też kilka przykładów. Wtedy na pewno pojawią się konkretne pytania na które chętnie odpowiem. Może ja, a może ktoś inny z naszego forum.
  8. Testowałem na Visual Studio 2010. Miałem dostepne ZWCAD 2020 Type Library w pliku C:\Program Files\Common Files\ZWSoft Shared\ZWCAD18.tlb i ZWCAD Type Library w plik C:\Program Files\Common Files\ZWSoft Shared\ZWCAD17.tlb Ale przeszedłem na zakładkę Browse, wybrałem plik c:\Program Files\ZWSOFT\ZWCAD 2020\ZWCAD.exe Przestrzeń ZWCAD stała się dostępna. using ZWCAD; Plik C:\Program Files\Common Files\ZWSoft Shared\ZWCAD18.tlb Nie jest częścią SDK. Na innym komputerze gdzie nie mam SDK ten plik jest dostępny, więc pewnie w Pana przypadku wystarczy wskazać plik nie z listy tylko wybierając z dysku.
  9. Przykład zapisu i odczytu XDaty może być taki: Public Sub ZapisXDaty() Dim linia As ZcadEntity Dim XType(0 To 9) As Integer Dim XData(0 To 9) As Variant Dim reals3(0 To 2) As Double Dim worldPos(0 To 2) As Double XType(0) = 1001: XData(0) = "TestowaAplikacja" XType(1) = 1000: XData(1) = "przykładowy tekst" XType(2) = 1003: XData(2) = "0" XType(3) = 1040: XData(3) = 1.23479137438413E+40 XType(4) = 1041: XData(4) = 1237324938 XType(5) = 1070: XData(5) = 32767 XType(6) = 1071: XData(6) = 32767 XType(7) = 1042: XData(7) = 10 reals3(0) = -100.23: reals3(1) = 100.23: reals3(2) = -20 XType(8) = 1010: XData(8) = reals3 worldPos(0) = 200.23: worldPos(1) = 200.23: worldPos(2) = -10 XType(9) = 1011: XData(9) = worldPos Set linia = Sel("Wybierz element") linia.SetXData XType, XData End Sub Public Sub OdczytXDaty() Dim selected As ZcadEntity Dim xdataOut As Variant Dim xtypeOut As Variant Set selected = Sel("Wybierz element") selected.GetXData "", xtypeOut, xdataOut For Each v In xdataOut If VarType(v) >= 8192 Then ThisDrawing.Utility.Prompt v(0) ThisDrawing.Utility.Prompt v(1) ThisDrawing.Utility.Prompt v(2) Else ThisDrawing.Utility.Prompt v End If Next End Sub Public Function Sel(ByVal txt As String) As Object Dim obj As ZcadEntity Dim px As Variant On Error Resume Next ThisDrawing.Utility.GetEntity obj, px, txt On Error GoTo 0 Set Sel = obj End Function
  10. Tak na szybko, to jeśli bez netload, to chyba pozostaje COM, ale czy przez C# można korzystać z COM? nigdy tego nie robiłem, ale myślę, że tak powinno być to możliwe.
  11. Dzień dobry Czy może Pan przesłać fragment przykładowego pliku, na którym moglibyśmy to sprawdzić?
  12. Dzień dobry W ZWCAD takie rozwiązanie nie jest dostępne. Być może w przyszłości zostanie opublikowane.
  13. Proszę napisać coś więcej w temacie jak się tym posługiwać. Odblokowałem pliki dll zgodnie z powyższym filmikiem, wcześniej wywalało mi że load failed. Teraz kiedy ładuję plik CADKitBasicZwCAD przez polecenie NETLOAD Wyświetala mi: Ładowanie CADKitBasicZwCAD... Ładowanie CADKitElevationMarksZwCAD... I co dalej? jest OK bo nie ma wspomnianego przez Pana komunikatu błędu? czy nie jest OK bo nie widzę panela widocznego na Pana screenie? Wczytuję też CADKitZwCAD.dll i Autofac.dll nic się nie dzieje, nie wyświetla ani błąd, ani potwierdzenie że coś jest OK.